Bug 64287 - Issues with Kickstart and ks.cfg via http
Issues with Kickstart and ks.cfg via http
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Brock Organ
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-05-01 13:44 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-17 17:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-01 13:44:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18-0.4 i686)

Description of problem:
There are (at least) three "issues" or bugs when I am starting a Kickstart
installation of RH7.2 where the ks.cfg file should be retrieved via http:
1. The Kickstart documentation
gives a wrong syntax. It should be: ks=http://<server>[:port]/<path>
2. anaconda's loader.c has a mini bug in line 2112. It is
  logMessage("ks location: http:/%s/%s", ksPath, file);
and should be:
  logMessage("ks location: http://%s/%s", ksPath, file);
3. anaconda's urls.c has an "issue" at the beginning of method
urlinstStartTransfer(). When I am using the URL http://server.example.com/ks.cfg
it actually looks for a file "/./ks.cfg" which is sort of ugly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a boot floppy with dd if=bootnet.img of=/dev/fd0
2. Modify the created syslinux.cfg file on that floppy to use Kickstart by
(e.g.) changing the "text" install section to:
label text
  kernel vmlinuz
  append ks=http:server.example.com:/ks.cfg initrd=initrd.img network
This is the wrong syntax from your documentation.
3. Boot a machine with that floppy.
4. Select "text installation" to trigger the Kickstart installation
5. After a while switch to virtual screen 3 to see the log messages

Actual Results:  The machine will not even try to download the ks.cfg from a web
server. If you change the syntax of a:\syslinux.cfg from the one typed
in step 2. above to
  append ks=http://server.example.com/ks.cfg initrd=initrd.img network
and repeat the process from above you will see that this syntax makes
the machine actually try to download the ks.cfg file.

Expected Results:  I expect the machine to download the ks.cfg from my web
server and
continue with its installation.

Additional info:
Comment 1 Michael Fulbright 2002-05-02 11:24:28 EDT
Thank you for the report, we'll get these corrected.
Comment 2 Michael Fulbright 2002-07-17 14:47:17 EDT
I addressed most the technical issues in this report.

I've forwards the documentation issue to docs.
Comment 3 Tammy Fox 2002-07-17 17:59:30 EDT
The docs have been fixed for the http syntax.
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.